Subject: Re: PositiveWrite problems

From: Dominik Vogt <[email-masked]>
Date: Mon, 1 Apr 2002 14:05:24 +0200

On Sun, Mar 31, 2002 at 10:17:11PM +0200, Dominik Vogt wrote:
> On Sat, Mar 30, 2002 at 12:20:15PM +0000, Mikhael Goikhman wrote:
> > I just enabled my FvwmEvent that listens to enter_window and leave_window,
> > similarly to what Dominik posted some time ago, and I see how to reproduce
> > the freeze for sure (just start the button bar that is auto raised/lowered
> > or shaded on enter/leave, then while it swallows xclock/xload, enter and
> > leave some window). I will debug this later. In this situation FvwmEvent
> > is killed after the freeze, not something that I experienced previously.
> > 
> > It may be harder with FvwmEvent that listens to add_window, I still (for
> > months) can't find a way to reproduce the problem for sure and it was not
> > killed after the freeze for unknown reason.
> 
> As I posted in the past, FvwmConsole and FvwmIconMan have similar
> problems.  FvwmIconMan sometimes exits with the same message.
> FvwmConsole can be overrun by terminal input:  paste long scripts
> into the FvwmConsole window fast and one of the pipes (either
> between FvwmConsole and FvwmConsoleC or between FvwmConsole and
> fvwm2, I don't know which) starts to lose some of the transmitted
> characters.  This may or may not be related.

Finally tracked down the FvwmConsole problem: The mangled input
comes from the getline() function (readline library).  Filed a bug
report there.  Other apps using readline have the same problem
(e.g. zsh).

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]